<div class="view-container">
    <div class="row">
        <div class="col d-flex align-items-center justify-content-between flex-wrap">
            <h1 class="mb-2">StarShips Management</h1>    
            <div>
                <p>Total records: {{(starShipsService.starShipsCount$ | async)?.count}}</p>  
                <p>{{(starShipsService.starShipsCount$ | async)?.updated }}</p>     
            </div>
        </div>
        
    </div>
    <button (click)="doAction('ADD')" class="ml-2 btn__primary">Create new starship</button>
    <div class="mx-auto pagination-control">
        <pagination-controls (pageChange)="onPageChange($event)"></pagination-controls>
    </div>

    <div class="row pt-4" >
        <div class="col-sm-6 mb-4"  
            *ngFor="let starShip of (starShipsService.starShips$ | async) | paginate: { itemsPerPage: starShipsService.itemsPerPage, currentPage: starShipsService.currentPage, totalItems: starShipsService.totalItems }">
            <app-starship-card [starShip]="starShip" (click)="doAction('EDIT', starShip)"></app-starship-card>
        </div>

        <div class="mx-auto pagination-control">
            <pagination-controls (pageChange)="onPageChange($event)"></pagination-controls>
        </div>

    </div>

</div>